#pragma once

#include "../gui/CoreComponents.hpp"



/****************************************************
 * A "Are you sure you want to exit?" Window.
 *
 * Yes is default
****************************************************/
class SafeClosePopup final : public sva::GuiMovableWindow
{
	Vector2 anchor03 = { 0,0 };

	bool m_CQB_YesButton = false;
	bool m_CQB_NoButton = false;

public:

	~SafeClosePopup() override;

	void onAttach() override;

	int draw() override;

	int rinput(Vector2& mouse_position) override;


	void onResize() override;

public:
	void OpenWindow();

	void CloseWindow();
};

